Bug 115604 - mount.cifs of NT 4 share fails
mount.cifs of NT 4 share fails
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Depends On:
  Show dependency treegraph
Reported: 2004-02-13 14:27 EST by Alan Schmidt
Modified: 2007-11-30 17:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-07 00:34:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Schmidt 2004-02-13 14:27:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
As root, I do this:

  mount -t cifs '//' /home/bucky/share -o

The mount command returns without errors. However, the share is not
mounted. A process named:


is created, which cannot be killed.

When I issue:

  /sbin/shutdown -r now

a shutdown message appears, but then nothing else.

When I [ALT][F2], login as root, and do

  /sbin/telinit 6

the runlevel changes, but after

  Unmounting file systems:  [OK]
  mount: / is busy

the system stops responding, but does not restart. I must power down
by hand.

Version-Release number of selected component (if applicable):
kernel-2.6.2-1.74, samba-client-3.0.2-5

How reproducible:

Steps to Reproduce:
1.mount -t cifs '//' /home/bucky/share -o

Actual Results:  No error message, nothing gets mounted and some kind
of deadlock with cifsoplockd happens which prevents
software-controlled shutdown or restart.

Expected Results:  Either the share should have been mounted, or else
an error message produced saying it had failed. In any event, I should
be able to shutdown.

Additional info:

mount -t smbfs '//SERVER/Share' /home/bucky/share -o

...works if I compile smbfs into the kernel. I miss smbfs, even if it
is an abomination unto the lord.
Comment 1 Satish Balay 2004-02-14 10:41:43 EST
I get a segfault when I use (as root):

> mount.cifs //remote-machine/remote-share /mnt/mountpoint -o

Don't know what the remote windows box runs. (perhaps win2k)

Now 'sync' hangs, reboot doesn't work - and I see  [cifsoplockd] process.

Must be the same problem.
Comment 2 shrek-m 2004-02-14 12:39:31 EST
fc1 as server

$ rpm -qa samba*

fc2t1 as client
# rpm -qa samba* samba-common-3.0.2-1rc1

# smbclient -Uadmin //
Domain=[XP1800] OS=[Unix] Server=[Samba 3.0.0-15]
smb: \> mkdir test
smb: \> mkdir test
NT_STATUS_OBJECT_NAME_COLLISION making remote directory \test
smb: \> rmdir test
smb: \> rmdir test
NT_STATUS_OBJECT_NAME_NOT_FOUND removing remote directory file \test

# LANG=C mount -tcifs -ousername=admin // /mnt/smb
mount: block device // is write-protected, mounting
mount: cannot mount block device // read-only

what is happening with cifs ?
Comment 3 shrek-m 2004-02-15 05:44:30 EST
no problems here now with fc1 and w2k-as

  fc1, w2k-as=

  fc2t1, updates samba* (glibc*)

# smbclient -Uadministrator //$
Domain=[VM-W2KAS] OS=[Windows 5.0] Server=[Windows 2000 LAN Manager]
smb: \>quit

# mount -t cifs -ousername=administrator //$ /mnt/smb
# mkdir; rmdir; vi; ...

# ps auxw | grep cifsop
root      1621  0.0  0.0     0    0 ?        SW   11:26   0:00

# shutdown -r now
Comment 4 Nicholas Ruddick 2004-02-17 12:40:07 EST
I'm getting a segfault too when i do the same on FC2T1

> mount.cifs //remote-machine/remote-share /mnt/mountpoint -o

Can't work out why. I have CIFS compiled into the kernel and smbfs is
totally unselected / unavailable, but this shouldn't be a problem. 
Comment 5 Steve French 2004-02-17 14:23:51 EST
The segfault has been fixed in more current cifs vfs code (e.g. 
http://us1.samba.org/samba/ftp/cifs-cvs/cifs-1.0.2-2.6.tar.gz) and mount fails 
gracefully to NT4 servers.  NT4 servers are not a supported target server for the cifs 
vfs at this time, although support is likely to be added in the future for it. 
I will push these fixes to Andrew Morton later in the week. 
Last I checked, Fedora was missing the corresponding mount helper utility 
(/sbin/mount.cifs) though. 
Comment 6 Steve French 2004-02-17 14:26:28 EST
A number of mount errors that dealt with closing down connections on failed 
mounts (not just to WinNT and Win98 target servers) have been fixed since 0.94 (the 
version of the cifs vfs in 2.6.2 kernel).  I am especially interested in verifying that the 
more current version of cifs files mentioned in the previous post fixed the problem to 
the servers reported that were newer than Windows NT servers. 
Comment 7 Jay Fenlason 2004-02-17 14:32:23 EST
Since cifs is part of the kernel, I'm reassinging this bug to the kernel.
Comment 8 Richard Hughes 2004-05-02 08:35:45 EDT
Using linux-2.6.6-rc3 and the CVS version of CIFS (ver 1.13) lets me
authenticate a share from an NT4 server. Just using linux-2.6.6-rc3
does not authenticate as of RFC1001/RFC1002, but new CVS does. 
Comment 9 Barry K. Nathan 2004-07-14 07:25:22 EDT
Could anyone experiencing this problem please test again with the
latest FC2 update kernel (2.6.6-1.435.2.3)? If the problem no longer
exists with this kernel, then the bug should be closed.
Comment 10 Satish Balay 2004-07-14 14:04:17 EDT
The windows box I'm connecting to is running (from nmap) Windows NT
4.0 SP5-SP6. The following command works now (earlier it failed)

mount.cifs //remote-machine/remote-share /mnt/mountpoint -o

But I get the following wierd behavior
touch: setting times of `z': Input/output error
[root@localhost balay]# ls -l z
-rw-r--r--  1 root root 0 Jul 14  2004 z
[root@localhost balay]# rm z
rm: remove regular empty file `z'? y
[root@localhost balay]# ls -l z
ls: z: No such file or directory
[root@localhost balay]# ls -l
-rwxrwSrwt  1 root root 0 Jul 14  2004 z

If the same share is mounted as 'smbfs' This file
is still undeleteable
% rm z
rm: cannot lstat `z': Permission denied
% ls z
ls: z: Permission denied
% ls -l
-rwxr-xr-x  1 balay balay    0 Jul 14 12:57 z*

This is with samba-client-3.0.3-5 and kernel-2.6.6-1.435.2.3 (i686)

Perhaps if NT4 shares are mounted as CIFS - the operation should quit
with the correct error message (assuming cifs can't automatically
delegate it to smbfs?)
Comment 11 Richard Hughes 2004-07-19 11:24:20 EDT
cifsoplockd fixed upsteam - new cifs module fixes problem with 
unkillable process.
Comment 12 Dave Jones 2004-12-07 00:34:02 EST
should be fixed in 2.6.9 update. reopen if unfixed.

Note You need to log in before you can comment on or make changes to this bug.